Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::LockLevels Struct Reference

## Public Member Functions
void | lock_1 (int no)
void | unlock_1 (int no)
void | lock_2 ()
void | unlock_2 ()
void | lock_3 ()
void | unlock_3 ()
void | print ()

## Public Attributes
pthread_mutex_t | mutex1
pthread_cond_t | level1_cv
pthread_cond_t | level2_cv
pthread_cond_t | level3_cv
std::unordered_set< int > | level1_holders
int | n_level2
bool | level3_in_use
bool | level2_in_use

## Detailed Description

Definition at line 32 of file OnDiskInvertedLists.cpp.

The documentation for this struct was generated from the following file:

- /tmp/faiss/OnDiskInvertedLists.cpp